Name:           xdg-dbus-proxy
Version:        0.1.6
Release:        %mkrel 2
Summary:        Filtering proxy for D-Bus connections
Group:          Security
License:        LGPLv2+
URL:            https://github.com/flatpak/xdg-dbus-proxy/
Source0:        https://github.com/flatpak/xdg-dbus-proxy/releases/download/%{version}/%{name}-%{version}.tar.xz

BuildRequires:  meson
BuildRequires:  docbook-style-xsl
BuildRequires:  gcc
BuildRequires:  pkgconfig(gio-2.0)
BuildRequires:  pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  xsltproc

Requires:       dbus

%description
xdg-dbus-proxy is a filtering proxy for D-Bus connections. It was originally
part of the flatpak project, but it has been broken out as a standalone module
to facilitate using it in other contexts.

%prep
%autosetup -p1

%build
%meson
%meson_build

%install
%meson_install

%files
%license COPYING
%{_bindir}/xdg-dbus-proxy
%{_mandir}/man1/xdg-dbus-proxy.1*


%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.1.6-2.mga10
+ Revision: 2230446
- Mageia 10 Mass Rebuild

* Fri Nov 29 2024 daviddavid <daviddavid> 0.1.6-1.mga10
+ Revision: 2119823
- new version: 0.1.6

* Tue Oct 31 2023 daviddavid <daviddavid> 0.1.5-1.mga10
+ Revision: 2002989
- new version: 0.1.5

* Sat Mar 19 2022 umeabot <umeabot> 0.1.3-2.mga9
+ Revision: 1799536
- Mageia 9 Mass Rebuild

* Fri Mar 18 2022 luigiwalser <luigiwalser> 0.1.3-1.mga9
+ Revision: 1798911
- 0.1.3

* Thu Dec 03 2020 luigiwalser <luigiwalser> 0.1.2-1.mga8
+ Revision: 1652287
- 0.1.2

* Sat Feb 15 2020 umeabot <umeabot> 0.1.1-4.mga8
+ Revision: 1526259
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun May 05 2019 ngompa <ngompa> 0.1.1-3.mga7
+ Revision: 1396390
- Adapt for Mageia
- imported package xdg-dbus-proxy


* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Jan 15 2019 Kalev Lember <klember@redhat.com> - 0.1.1-1
- Update to 0.1.1
- Build man pages
- Include COPYING file as license

* Fri Nov 23 2018 Kalev Lember <klember@redhat.com> - 0.1.0-1
- Initial Fedora packaging
